JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const planListChargesResponse of client.v1.plans.listCharges('x')) {
console.log(planListChargesResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.plans.list_charges(
id="x",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Plans.ListCharges(
context.TODO(),
"x",
stigg.V1PlanListChargesParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.PlanListChargesPage;
import io.stigg.models.v1.plans.PlanListChargesParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
PlanListChargesPage page = client.v1().plans().listCharges("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.plans.list_charges("x")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans;
StiggClient client = new();
PlanListChargesParams parameters = new() { ID = "x" };
var page = await client.V1.Plans.ListCharges(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:plans list-charges \
--api-key 'My API Key' \
--id xcurl --request GET \
--url https://api.stigg.io/api/v1/plans/{id}/charges \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/plans/{id}/charges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "7d34cd1e-3a48-4e2d-9f9e-9aafef5b4f51",
"billingPeriod": "MONTHLY",
"billingModel": "FLAT_FEE",
"billingCadence": "RECURRING",
"billingCountryCode": null,
"billingId": "price_1234567890",
"tiersMode": null,
"tiers": null,
"price": {
"amount": 4900,
"currency": "usd"
},
"creditRate": null,
"blockSize": null,
"featureId": null,
"topUpCustomCurrencyId": null,
"minUnitQuantity": null,
"maxUnitQuantity": null,
"creditGrantCadence": null,
"crmId": null,
"crmLinkUrl": null,
"usedInSubscriptions": false,
"createdAt": "2025-10-26T10:00:00.000Z"
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Plans
List plan charges
Retrieves the list of charges configured on a plan.
GET
/
api
/
v1
/
plans
/
{id}
/
charges
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const planListChargesResponse of client.v1.plans.listCharges('x')) {
console.log(planListChargesResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1.plans.list_charges(
id="x",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1.Plans.ListCharges(
context.TODO(),
"x",
stigg.V1PlanListChargesParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.plans.PlanListChargesPage;
import io.stigg.models.v1.plans.PlanListChargesParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
PlanListChargesPage page = client.v1().plans().listCharges("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1.plans.list_charges("x")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Plans;
StiggClient client = new();
PlanListChargesParams parameters = new() { ID = "x" };
var page = await client.V1.Plans.ListCharges(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1:plans list-charges \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
Required range:
1 <= x <= 100⌘I
